Index: branches/OKB/HeuristicLab.Clients.OKB-3.3/Views/AlgorithmView.Designer.cs
===================================================================
--- branches/OKB/HeuristicLab.Clients.OKB-3.3/Views/AlgorithmView.Designer.cs	(revision 4481)
+++ branches/OKB/HeuristicLab.Clients.OKB-3.3/Views/AlgorithmView.Designer.cs	(revision 4492)
@@ -45,5 +45,4 @@
     /// </summary>
     private void InitializeComponent() {
-      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(AlgorithmView));
       this.platformLabel = new System.Windows.Forms.Label();
       this.platformComboBox = new System.Windows.Forms.ComboBox();
@@ -57,5 +56,4 @@
       this.dataTabPage = new System.Windows.Forms.TabPage();
       this.algorithmDataView = new HeuristicLab.Clients.OKB.AlgorithmDataView();
-      ((System.ComponentModel.ISupportInitialize)(this.modifiedPictureBox)).BeginInit();
       this.tabControl.SuspendLayout();
       this.usersTabPage.SuspendLayout();
@@ -66,18 +64,14 @@
       // 
       this.nameTextBox.Location = new System.Drawing.Point(90, 29);
-      this.nameTextBox.Size = new System.Drawing.Size(495, 20);
+      this.nameTextBox.Size = new System.Drawing.Size(543, 20);
       // 
       // descriptionTextBox
       // 
       this.descriptionTextBox.Location = new System.Drawing.Point(90, 55);
-      this.descriptionTextBox.Size = new System.Drawing.Size(495, 20);
+      this.descriptionTextBox.Size = new System.Drawing.Size(543, 20);
       // 
       // storeButton
       // 
       this.toolTip.SetToolTip(this.storeButton, "Store Data");
-      // 
-      // modifiedPictureBox
-      // 
-      this.modifiedPictureBox.Location = new System.Drawing.Point(591, 3);
       // 
       // platformLabel
@@ -98,5 +92,5 @@
       this.platformComboBox.Location = new System.Drawing.Point(90, 81);
       this.platformComboBox.Name = "platformComboBox";
-      this.platformComboBox.Size = new System.Drawing.Size(495, 21);
+      this.platformComboBox.Size = new System.Drawing.Size(543, 21);
       this.platformComboBox.TabIndex = 6;
       this.platformComboBox.SelectedValueChanged += new System.EventHandler(this.platformComboBox_SelectedValueChanged);
@@ -119,5 +113,5 @@
       this.algorithmClassComboBox.Location = new System.Drawing.Point(90, 108);
       this.algorithmClassComboBox.Name = "algorithmClassComboBox";
-      this.algorithmClassComboBox.Size = new System.Drawing.Size(495, 21);
+      this.algorithmClassComboBox.Size = new System.Drawing.Size(543, 21);
       this.algorithmClassComboBox.TabIndex = 8;
       this.algorithmClassComboBox.SelectedValueChanged += new System.EventHandler(this.algorithmClassComboBox_SelectedValueChanged);
@@ -165,5 +159,5 @@
       // storeUsersButton
       // 
-      this.storeUsersButton.Image = ((System.Drawing.Image)(resources.GetObject("storeUsersButton.Image")));
+      this.storeUsersButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.PublishToWeb;
       this.storeUsersButton.Location = new System.Drawing.Point(36, 6);
       this.storeUsersButton.Name = "storeUsersButton";
@@ -176,5 +170,5 @@
       // refreshUsersButton
       // 
-      this.refreshUsersButton.Image = ((System.Drawing.Image)(resources.GetObject("refreshUsersButton.Image")));
+      this.refreshUsersButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Refresh;
       this.refreshUsersButton.Location = new System.Drawing.Point(6, 6);
       this.refreshUsersButton.Name = "refreshUsersButton";
@@ -198,4 +192,5 @@
       // algorithmDataView
       // 
+      this.algorithmDataView.AlgorithmId = ((long)(0));
       this.algorithmDataView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                   | System.Windows.Forms.AnchorStyles.Left)
@@ -224,5 +219,4 @@
       this.Controls.SetChildIndex(this.platformComboBox, 0);
       this.Controls.SetChildIndex(this.tabControl, 0);
-      this.Controls.SetChildIndex(this.modifiedPictureBox, 0);
       this.Controls.SetChildIndex(this.storeButton, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
@@ -230,5 +224,4 @@
       this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.descriptionTextBox, 0);
-      ((System.ComponentModel.ISupportInitialize)(this.modifiedPictureBox)).EndInit();
       this.tabControl.ResumeLayout(false);
       this.usersTabPage.ResumeLayout(false);