Index: branches/HeuristicLab.DiversityAnalysis/HeuristicLab.Problems.TravelingSalesman.Views/3.3/HeuristicLab.Problems.TravelingSalesman.Views-3.3.csproj
===================================================================
--- branches/HeuristicLab.DiversityAnalysis/HeuristicLab.Problems.TravelingSalesman.Views/3.3/HeuristicLab.Problems.TravelingSalesman.Views-3.3.csproj	(revision 4504)
+++ branches/HeuristicLab.DiversityAnalysis/HeuristicLab.Problems.TravelingSalesman.Views/3.3/HeuristicLab.Problems.TravelingSalesman.Views-3.3.csproj	(revision 4505)
@@ -182,4 +182,10 @@
     </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="TSPPopulationDiversityAnalysisDetailsView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="TSPPopulationDiversityAnalysisDetailsView.Designer.cs">
+      <DependentUpon>TSPPopulationDiversityAnalysisDetailsView.cs</DependentUpon>
+    </Compile>
   </ItemGroup>
   <ItemGroup>
Index: branches/HeuristicLab.DiversityAnalysis/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TSPPopulationDiversityAnalysisDetailsView.Designer.cs
===================================================================
--- branches/HeuristicLab.DiversityAnalysis/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TSPPopulationDiversityAnalysisDetailsView.Designer.cs	(revision 4505)
+++ branches/HeuristicLab.DiversityAnalysis/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TSPPopulationDiversityAnalysisDetailsView.Designer.cs	(revision 4505)
@@ -0,0 +1,32 @@
+﻿namespace HeuristicLab.Problems.TravelingSalesman.Views {
+  partial class TSPPopulationDiversityAnalysisDetailsView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      components = new System.ComponentModel.Container();
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+    }
+
+    #endregion
+  }
+}
Index: branches/HeuristicLab.DiversityAnalysis/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TSPPopulationDiversityAnalysisDetailsView.cs
===================================================================
--- branches/HeuristicLab.DiversityAnalysis/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TSPPopulationDiversityAnalysisDetailsView.cs	(revision 4505)
+++ branches/HeuristicLab.DiversityAnalysis/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TSPPopulationDiversityAnalysisDetailsView.cs	(revision 4505)
@@ -0,0 +1,46 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Windows.Forms;
+using HeuristicLab.Core;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Problems.TravelingSalesman.Views {
+
+  [View("TSP Population Diversity Analysis Details View")]
+  [Content(typeof(TSPPopulationDiversityAnalysisDetails), true)]
+  public sealed partial class TSPPopulationDiversityAnalysisDetailsView : NamedItemView {
+
+    public new TSPPopulationDiversityAnalysisDetails Content {
+      get { return (TSPPopulationDiversityAnalysisDetails)base.Content; }
+      set { base.Content = value; }
+    }
+
+    public TSPPopulationDiversityAnalysisDetailsView() {
+      InitializeComponent();
+    }
+
+  }
+
+}